Bug 114068 - vmware modules break with 2.6.1-1.138
vmware modules break with 2.6.1-1.138
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Barr
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-22 02:46 EST by Stanislav Mironov
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 05:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanislav Mironov 2004-01-22 02:46:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When building VMware 4.0.1 modules for 2.6.1-1.138 kernel
(http://kerneltrap.org/node/view/1804) runme.pl shows error (see
additional info).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install kernel, kernel-source 2.6.1-1.138 from arjanv.
2. Follow instructions on http://kerneltrap.org/node/view/1804


Actual Results:  Error above.

Expected Results:  Everything should compile as in 2.6.0.

Additional info:

What is the location of the directory of C header files that match
your running
kernel? [/usr/src/linux/include] /usr/src/linux-2.6.1-1.138/include
The path "/usr/src/linux-2.6.1-1.138/include" is a kernel header file
directory,but it does not contain the file "linux/version.h" as
expected.  This can happenif the kernel has never been built, or if
you have invoked the "make mrproper"
command in your kernel directory.  In any case, you may want to
rebuild your

Previous kernel-2.6.0 was OK.
Comment 1 Arjan van de Ven 2004-01-22 03:04:11 EST
kernel? [/usr/src/linux/include] /usr/src/linux-2.6.1-1.138/include

You lied to vmware there. The location of the header files is and has
been for the past 3 years:

kernel-source is (no longer with 2.6) for building modules against.
Comment 2 Stanislav Mironov 2004-01-22 05:27:20 EST
Running runme.pl from vmware-any-any patch (see url above)
What is the location of the directory of C header files that match
your running
kernel? [/usr/src/linux/include] /lib/modules/2.6.1-1.138/build/include
The kernel defined by this directory of header files does not have the
address space size as your running kernel.
What is the location of the directory of C header files that match
your running
kernel? [/usr/src/linux/include] ^C
[root@localhost vmware-any-any-update43]# uname -a
Linux localhost.localdomain 2.6.1-1.138 #1 Sat Jan 17 15:14:40 EST
2004 i686 athlon i386 GNU/Linux

And in 2.6.0 it all worked without asking path, the path was
autodetected and I just pressed Enter. Something has changed in 2.6.1
that has broken stuff.
Comment 3 Arjan van de Ven 2004-01-22 05:30:35 EST
sounds like a broken check by vmware to me...
assinging to tbarr; he's the vmware liason
Comment 4 Warren Togami 2004-04-14 22:03:00 EDT

I personally use the unofficial vmware-any-any* toolkit from here with
VMWare WS 4.51 on FC2 development.  The latest version of
vmware-any-any* has always managed to get the latest FC2 2.6 kernel to
work for me.  Your mileage may vary, and I heard something about
VMWare 4.0.1 not working, but this I am not sure.

Note You need to log in before you can comment on or make changes to this bug.